Error Message 


Could not complete ElumTools command:  CalculateSpaceCommand


Exception:

Autodesk.Revit.Exceptions.InternalException: Error from cutGCurveWithGeometry

   at Autodesk.Revit.DB.SolidUtils.IntersectSolidWithCurve(Solid solid, Curve curve, SolidCurveIntersectionOptions options)

   at ElumTools.GeometryParser.SolidIntersectsPolygon(Document doc, Solid solid, Polygon3 polygon)

   at ElumTools.HeliosExport.ParseSolid(Solid solid)

   at ElumTools.HeliosExport.Parser_ParseSolid(Solid solid)

   at ElumTools.GeometryParser.ParseGeometryElement(GeometryElement geometryElement, Transform& transform)

   at ElumTools.GeometryParser.ParseElement(Element element, Transform& transform)

   at ElumTools.HeliosExport.ParseExportElement(Element element, Transform transform)

   at ElumTools.HeliosExport.ExportElement(Element element, Transform transform)

   at ElumTools.HeliosExport.ExportElements(IEnumerable`1 elements, Solid clippingSolid)

   at ElumTools.HeliosExport.ExportElementsIntersectingSolid(List`1 intersectingElements, Solid clippingSolid)

   at ElumTools.HeliosExport.ExportBoundaryElements(ExtrusionCalculationSolidCreator creator)

   at ElumTools.HeliosExport.ExportBoundaryElements(List`1 boundaries)

   at ElumTools.HeliosExport.AddEntities(IEnumerable`1 boundaries)

   at ElumTools.CalculateBoundaryElements.ExtractEnvironment(IEnumerable`1 elements)

   at ElumTools.CalculateBoundaryElements.Calculate(BoundaryElement element)

   at ElumTools.CalculateBoundaryElements.Calculate(IEnumerable`1 elements, CalculateMultipleElementsMode mode)

   at ElumTools.CalculateBoundaryElements.Calculate(IEnumerable`1 elements, CalculateMultipleElementsMode mode)

   at ElumTools.CalculateBoundariesBaseCommand.ExecuteCalculation()

   at ElumTools.CalculateBaseCommand.Execute()

   at ElumTools.ElumToolsCommand.ExecuteCommand(String& message, ElementSet elements)

   at ElumTools.ElumToolsCommand.ExecuteInternal(String& message, ElementSet elements)

   at ElumTools.ElumToolsCommand.ExecuteTransaction(ExternalCommandData commandData, String& message, ElementSet elements)

   at ElumTools.ElumToolsCommand.Execute(ExternalCommandData commandData, String& message, ElementSet elements)



Solution

This problem is caused by unusual geometry that is not being parsed correctly. Likely the boundary just isn't high enough to include the whole of some of the geometry.


A workaround is to change the boundary buffer in the advanced settings.



The default value is 0.020833. This setting determines how far outside of the defined boundary ElumTools will look for geometry. 


Try changing this to 0. If the problem persists, try making it a higher value, like 5


Then gradually lower the number. You don't want to leave it too high since that will include a lot of unnecessary geometry in your calculation.